--
-- Table structure for table `content_images`
--

CREATE TABLE IF NOT EXISTS `content_images` (
  `text_message` text NOT NULL,
  `date_added` datetime NOT NULL,
  `content_id` int(11) NOT NULL auto_increment,
  `user_name` varchar(256) NOT NULL,
  `content_public` tinyint(1) NOT NULL default '1',
  `filename` varchar(20) NOT NULL,
  `date_added_short` date NOT NULL,
  PRIMARY KEY  (`content_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `content_text`
--

CREATE TABLE IF NOT EXISTS `content_text` (
  `text_message` text NOT NULL,
  `date_added` datetime NOT NULL,
  `content_id` int(11) NOT NULL auto_increment,
  `user_name` varchar(256) NOT NULL,
  `content_public` tinyint(1) NOT NULL default '1',
  `date_added_short` date NOT NULL,
  PRIMARY KEY  (`content_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

--
-- Table structure for table `favorite_images`
--

CREATE TABLE IF NOT EXISTS `favorite_images` (
  `user_name` varchar(256) NOT NULL,
  `content_id` tinyint(10) NOT NULL,
  `indexer` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`indexer`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `favorite_images`
--

-- --------------------------------------------------------

--
-- Table structure for table `favorite_text`
--

CREATE TABLE IF NOT EXISTS `favorite_text` (
  `user_name` varchar(256) NOT NULL,
  `content_id` int(11) NOT NULL,
  `indexer` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`indexer`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

--
-- Dumping data for table `favorite_text`
--

-- --------------------------------------------------------

--
-- Table structure for table `following`
--

CREATE TABLE IF NOT EXISTS `following` (
  `user_name` varchar(250) NOT NULL,
  `followers_user_name` varchar(250) NOT NULL,
  `indexer` int(11) NOT NULL auto_increment,
  `approved` varchar(3) NOT NULL default 'yes',
  PRIMARY KEY  (`indexer`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

--
-- Dumping data for table `following`
--

-- --------------------------------------------------------

--
-- Table structure for table `lang_mine`
--

CREATE TABLE IF NOT EXISTS `lang_mine` (
  `lang_title` varchar(50) default NULL,
  `lang_words` varchar(256) default NULL,
  `my_lang` tinyint(1) NOT NULL default '1'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `lang_mine`
--

INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('404', 'Content could not be found', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('abuse', 'Abuse', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('account', 'Account', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('account_closed', 'Account closed', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('account_suspended', 'Account suspended', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('active', 'Active', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('added', 'Added', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('added_to_favorites', 'Item ADDED to favorites', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('add_images', 'Add Images', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('ads_bottom', 'Bottom Ads', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('ads_manager', 'Ads Manager', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('ads_side1', 'Side Ads 1', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('ads_side2', 'Side Ads 2', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('ads_top', 'Top Ads', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('advanced_stats', 'Advanced Stats', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('adverts', 'Adverts', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('allow_registration', 'Allow registration', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('all_content_will_be_deleted', 'All content will be deleted', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('already_following', 'Already following', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('already_logged_in', 'You are already logged in', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('apply', 'Apply', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('are_you_sure', 'Are you sure', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('at_replies', '@replies', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('avatar', 'Avatar', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('avatar_file_size', 'Avatar file size limit', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('background_color', 'Background Color', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('background_image', 'Background Image', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('borders_color', 'Borders Color', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('buy_now', 'Buy now', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('cant_add_self', 'Cannot add yourself', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('change_password', 'Change password', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('close_account', 'Close My Account', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('comma_separated', 'Comma separated', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('complete_registration', 'To complete your registration please check your email', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('confirm_password', 'Confirm Password', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('content', 'Content', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('content_background_color', 'Content Background Color', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('content_not_found', 'Oops - No content found!', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('contrast_background_color', 'Contrast Background Color', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('current_password', 'Current Password', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('current_settings', 'Current Setting', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('current_theme', 'Current theme', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('customize', 'Customize', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('customize_main_design', 'Customize Main Design', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('customize_my_pages', 'Customize My Pages', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('db_host', 'Database host', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('db_name', 'Database name', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('db_pass', 'Database password', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('db_user', 'Database username', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('debug_mode', 'Debug mode', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('delete', 'Delete', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('description', 'Description', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('display_followers_block', 'Display followers', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('display_login_box', 'Display login box', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('display_members_name', 'Display members name', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('display_signup_splash', 'Display signup splash', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('edit_profile', 'Edit Profile', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('edit_text', 'Edit text', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('email_address', 'Email address', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('email_address_confirm', 'Email address (confirm)', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('email_match_error', 'Email addresses do not match', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('email_messages', 'Email address (confirm)', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('email_messages', 'Email address (confirm)', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('fatal_error', 'FATAL ERROR', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('favorites', 'Favorites', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('favorites_action', 'favorites', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('favorite_images', 'Favorite Images', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('favorite_updates', 'Favorites Updates', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('fckeditor_toolbar', 'FCKeditor toolbar style', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('fill_in_all', 'Fill in all required fields', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('follow', 'follow', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('followers', 'Followers', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('followers_can_see_updates', 'You followers can still view your updates', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('following', 'Following', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('following_images', 'Following Images', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('following_updates', 'Following Updates', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('follow_me', 'Follow me', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('general_settings', 'General Settings', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('generic_error', 'An error has occured', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('home', 'Home', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('html_code', 'HTML code', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('hyperlings_color', 'Hyperlinks Color', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('images', 'Images', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('images_todays', 'New images (today)', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('image_file_size', 'Image file size limit', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('image_replies', 'Image replies', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('image_updates', 'Image updates', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('inbox', 'Inbox', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('incomplete_mysql_info', 'Complete mysql information required', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('incomplete_registration', 'You have not completed your registration - check your email', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('incorrect_code', 'Incorrect security code', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('incorrect_password', 'Incorrect password', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('invalid_email', 'Invalid email address', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('invalid_username', 'Invalid username - Use letters and numbers only', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('invalid_login', 'Invalid login!!', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('invalid_member', 'Invalid member username or the member is nolonger active', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('invalid_url', 'Invalid url', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('invite_friends', 'Invite friends', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('language', 'Language', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('language_editor', 'Language Editor', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('letter_numbers_only', 'Letters and numbers only', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('location', 'Location', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('login', 'Login', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('logout', 'Logout', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('main_font_color', 'Main Font Color', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('manage_your_account', 'Manage your account', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('maximum_content_per_page', 'Max content per page', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('maximum_members_per_page', 'Max members per page', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('members', 'Members', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('members_join_link', 'You can add a link for members to Join here. e.g.', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('members_today', 'New members (today)', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('members_username', 'Members username', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('members_welcome_message', 'Members welcome message', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('message', 'Message', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('messages', 'Messages', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('meta_description', 'Meta Description', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('meta_keywords', 'Meta Keywords', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('meta_title', 'Meta Title', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('must_be_logged_in', 'You must log in', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('mysql_conn_error', 'Unable to connect to mysql server', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('my_account', 'My Account', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('my_timeline', 'My Timeline', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('my_language_file', 'My Language File', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('my_pages', 'My Pages', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('my_updates_are_private', 'My updates are private', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('name', 'Name', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('new', 'New', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('new_image', 'Submit new image', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('new_message', 'New message', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('new_password', 'New Password', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('new_settings', 'New Setting', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('new_text', 'Submit new text', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('new_today', 'New Today', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('no', 'No', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('nothing_to_display', 'Nothing to display', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('only_email_following_followers', 'You can only direct message people you are following or are following you', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('only_followers_can_view', 'Only people following you can view a private profile', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('page_name', 'Page Name', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('password', 'Password', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('password_match_error', 'New passwords do not match', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('preferences', 'preferences', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('premium_theme', 'Premium Theme', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('privacy_message', 'Privacy Message', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('privacy_setting', 'Privacy setting', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('private', 'Private', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('private_already_requested', 'Private - request pending', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('private_community', 'Private Community', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('private_timeline', 'Private Timeline', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('private_network', 'This is a private network', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('private_or_removed', 'Content is either marked private or has been removed', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('profile', 'Profile', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('protected_profile', 'Protected profile', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('public', 'Public', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('public_timeline', 'Public Timeline', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('registered', 'Registered', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('registration_complete', 'Registration complete - You can now login', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('remember_to_save', 'Rember to save changes', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('remove', 'remove', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('removed', 'Removed', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('removed_from_favorites', 'Item REMOVED from favorites', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('replies', 'Replies', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('report_abuse', 'Report Abuse', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('request_completed', 'Request complete', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('request_sent_approval', 'Request has been sent and is subject to approval', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('reserved_names', 'Reserved names', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('reset_all', 'Reset All', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('review_usage_policy', 'Please review our ', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('security_code', 'Security code', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('see_more', 'see more', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('select_new_theme', 'Select new theme', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('send', 'Send', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('sent', 'Sent', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('seo_settings', 'SEO Settings', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('settings', 'Settings', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('settings_writing_error', 'Error writing to file', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('signup', 'Signup', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('site_admin_login', 'SiteAdmin - Login', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('site_admin_welcome', 'SiteAdmin Welcome', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('site_admin_welcome', 'SiteAdmin Welcome', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('site_description', 'Site description', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('site_name', 'Site name', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('site_stats', 'Site Stats', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('site_summary', 'Site Summary', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('site_url', 'Site url', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('sms_gateway', 'SMS Gateway', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('splash_message', 'Splash Message', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('status', 'Status', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('subject', 'Subject', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('submit', 'Submit', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('suspend', 'Suspend', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('suspended', 'Suspended', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('sub_folder', 'Sub-folder', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('texts_todays', 'New texts (today)', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('text_updates', 'Text updates', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('theme', 'Theme', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('themes', 'Themes', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('titles_color', 'Titles Color', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('to', 'To', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('to_delete_a_page', 'To Delete page, delete the the page name in this form and click update', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('to_manage_your_account', 'To manage your account. simply select a item from the menu', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('type_security_code', 'Type the security code shown above', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('update', 'Update', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('updates', 'Updates', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('upload', 'Upload', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('upload_new_image', 'Upload a new image', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('url', 'url', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('usage_policy', 'Usage Policy', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('username', 'Username', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('username_not_available', 'Username is not available - Or the email address is already in us', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('visit_site', 'vist website', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('warning_logged_in_as_admin', 'Warning - You are viewing this page as Site Admin and will be able to delete content', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('website', 'Website', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('website_name', 'Website name', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('web_profile', 'Web Profile', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('welcome', 'Welcome', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('welcome_message', 'Welcome message', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('what_u_doing', 'What are you doing?', 1);
INSERT INTO `lang_mine` (`lang_title`, `lang_words`, `my_lang`) VALUES('yes', 'Yes', 1);

-- --------------------------------------------------------

--
-- Table structure for table `member_preferences`
--

CREATE TABLE IF NOT EXISTS `member_preferences` (
  `allow_followers` tinyint(1) NOT NULL default '1',
  `allow_comments_responses` tinyint(1) NOT NULL default '1',
  `allow_system_notifications` tinyint(1) NOT NULL default '1',
  `content_public` tinyint(1) NOT NULL default '1',
  `automatically_approve_followers` tinyint(1) NOT NULL default '1',
  `user_name` varchar(256) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `member_preferences`
--

-- --------------------------------------------------------

--
-- Table structure for table `member_profile`
--

CREATE TABLE IF NOT EXISTS `member_profile` (
  `user_name` varchar(50) NOT NULL,
  `user_id` int(11) NOT NULL auto_increment,
  `user_group` varchar(15) NOT NULL default 'member',
  `email_address` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `welcome_message` text,
  `date_created` date NOT NULL default '0000-00-00',
  `location_ip` varchar(25) default NULL,
  `account_status` varchar(50) NOT NULL default 'new',
  `suspended_date` date default '0000-00-00',
  `account_notes` text,
  `activation_code` varchar(50) NOT NULL,
  `avatar` varchar(30) NOT NULL default 'default.png',
  `salt` varchar(255) default NULL,
  `date_added_short` date NOT NULL,
  `privacy` varchar(15) NOT NULL default 'public',
  PRIMARY KEY  (`user_id`),
  UNIQUE KEY `user_name` (`user_name`),
  UNIQUE KEY `email_address` (`email_address`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

--
-- Dumping data for table `member_profile`
--

-- --------------------------------------------------------

--
-- Table structure for table `personal_messages`
--

CREATE TABLE IF NOT EXISTS `personal_messages` (
  `sender` varchar(50) NOT NULL,
  `receiver` varchar(50) NOT NULL,
  `message` text NOT NULL,
  `receiver_delete` tinyint(2) NOT NULL default '0',
  `sender_delete` tinyint(2) NOT NULL default '0',
  `date_sent` datetime NOT NULL,
  `indexer` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`indexer`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

--
-- Dumping data for table `personal_messages`
--

-- --------------------------------------------------------

--
-- Table structure for table `siteadmin`
--

CREATE TABLE IF NOT EXISTS `siteadmin` (
  `user_name` varchar(5) NOT NULL default 'admin',
  `password` varchar(50) NOT NULL default '21232f297a57a5a743894a0e4a801fc3'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `siteadmin`
--

INSERT INTO `siteadmin` (`user_name`, `password`) VALUES('admin', '21232f297a57a5a743894a0e4a801fc3');

-- --------------------------------------------------------

--
-- Table structure for table `system_messages`
--


CREATE TABLE IF NOT EXISTS `system_messages` (
  `message` text NOT NULL,
  `indexer` int(5) NOT NULL auto_increment,
  `subject` varchar(250) NOT NULL default '',
  `title` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`indexer`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

--
-- Dumping data for table `system_messages`
--

INSERT INTO `system_messages` (`message`, `indexer`, `subject`, `title`) VALUES('<p>Hello [var.user_name]</p>\r\n<p>Thank you for joining [var.site_name]</p>\r\n<p>To complete your registration click the link below (or copy and paste into  your browser)</p>\r\n<p>[var.site_url]/index.php?option=com_index&amp;type=1&amp;activation_code=[var.activation_code]</p>\r\n<p>Thank you.</p>\r\n<p><b>Join in the fun!!</b></p>', 1, 'Welcome to our community!!', 'welcome');
INSERT INTO `system_messages` (`message`, `indexer`, `subject`, `title`) VALUES('<p>[var.user_name]</p>\r\n<p>Your account has been suspended.</p>\r\n<p>You can send us an email if you wuld like to find out the reason for this suspension.</p>\r\n<p>Thank you<b><br />\r\n</b></p>', 2, 'Account Suspended', 'suspended');
INSERT INTO `system_messages` (`message`, `indexer`, `subject`, `title`) VALUES('<p>[var.user_name]</p>\r\n<p>Your account has been closed</p>\r\n<p>Thank you.</p>\r\n<p>&nbsp;</p>', 3, 'Account closed', 'closed');

-- --------------------------------------------------------

--
-- Table structure for table `system_settings`
--

CREATE TABLE IF NOT EXISTS `system_settings` (
  `site_name` varchar(250) NOT NULL default 'Micro Blogging',
  `db_name` varchar(75) NOT NULL,
  `db_user` varchar(75) NOT NULL,
  `db_pass` varchar(75) NOT NULL,
  `db_host` varchar(75) NOT NULL,
  `debug_mode` tinyint(2) NOT NULL default '0',
  `site_url` varchar(250) NOT NULL,
  `sub_folder` varchar(75) default NULL,
  `site_description` text,
  `language` varchar(250) NOT NULL default 'english',
  `fckeditor_toolbar` varchar(25) NOT NULL default 'Basic',
  `members_welcome_message` varchar(250) NOT NULL default 'Welcome to my stream. You can bookmark this page to keep updated on what I am up to.',
  `display_followers_block` tinyint(2) NOT NULL default '1',
  `display_login_box` tinyint(2) NOT NULL default '1',
  `display_signup_splash` tinyint(2) NOT NULL default '1',
  `display_members_name` tinyint(2) NOT NULL default '1',
  `image_file_size` int(11) NOT NULL default '512000' COMMENT '500kb',
  `avatar_file_size` int(11) NOT NULL default '50' COMMENT '50kb',
  `theme` varchar(50) NOT NULL default 'default',
  `place_holder` varchar(3) NOT NULL default 'yes',
  `reserved_names` text,
  `allow_registration` tinyint(2) NOT NULL default '1',
  `members_only` tinyint(2) NOT NULL default '0',
  `page_limits` tinyint(5) NOT NULL default '10' COMMENT 'general content pages',
  `following_list` tinyint(5) NOT NULL default '15' COMMENT 'list of followers etc',
  `meta_title` varchar(256) default 'Community',
  `meta_description` varchar(256) default 'Community',
  `meta_keywords` varchar(256) default 'Community',
  `privacy_message` varchar(256) default 'This is a private network. Login for access.' COMMENT 'for private networks',
  `site_title` varchar(256) default 'Community' COMMENT 'for broswer title bar',
  `splash_message` text COMMENT 'signup now type message',
  `maintenance_mode` tinyint(2) NOT NULL default '0' COMMENT 'set by service provider',
  `last_update` int(11) NOT NULL default '0' COMMENT 'auto updates tracker'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `system_settings`
--

INSERT INTO `system_settings` (`site_name`, `db_name`, `db_user`, `db_pass`, `db_host`, `debug_mode`, `site_url`, `sub_folder`, `site_description`, `language`, `fckeditor_toolbar`, `members_welcome_message`, `display_followers_block`, `display_login_box`, `display_signup_splash`, `display_members_name`, `image_file_size`, `avatar_file_size`, `theme`, `place_holder`, `reserved_names`, `allow_registration`, `members_only`, `page_limits`, `following_list`, `meta_title`, `meta_description`, `meta_keywords`, `privacy_message`, `site_title`, `splash_message`, `maintenance_mode`, `last_update`) VALUES('Web Bloggers', 'dbase_name', 'dbase_user', 'dbase_password', 'localhost', 0, 'http://mydomain.com', '', '<p><span style="font-size: large;"><strong>Welcome</strong></span> - Our site makes it possible to tell all your friends exactly what you are up to in realtime. Start keeping in touch. Not only can you tell them what you are up to, you can show them using our picture uploading feature.</p>\r\n<p><strong>What are you waiting for!!</strong></p>', 'english', 'Basic', 'Welcome to my stream. You can bookmark this page to keep updated on what I am up to.', 1, 1, 1, 1, 512000, 51200, 'default', 'yes', 'drugs,cnn,bbc,yahoo', 1, 0, 10, 15, 'Web Bloggers', 'Fast to use micro blogging site', 'micro blogging site', 'This is a private network. Login to gain access.', 'Web Bloggers', '<p style="text-align: center;"><span style="color: rgb(105, 171, 252);"><span style="font-size: large;"><strong>SIGNUP&nbsp;TODAY</strong></span></span></p>\r\n<p style="text-align: left;">&nbsp; - Its quick and its free<br />\r\n&nbsp; - Keep your friends up2date<br />\r\n&nbsp; - Stream, texts, images videos<br />\r\n&nbsp; - You can even use sms<br />\r\n&nbsp; - Private streams are possible</p>', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `web_pages`
--

CREATE TABLE IF NOT EXISTS `web_pages` (
  `page_name` varchar(256) default NULL,
  `page_content` text,
  `page_ref` int(5) NOT NULL,
  `indexer` int(5) NOT NULL auto_increment,
  PRIMARY KEY  (`indexer`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

--
-- Dumping data for table `web_pages`
--

INSERT INTO `web_pages` (`page_name`, `page_content`, `page_ref`, `indexer`) VALUES('About Us', '<p>You can add any content you like here, via the siteadmin</p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>', 1, 1);
INSERT INTO `web_pages` (`page_name`, `page_content`, `page_ref`, `indexer`) VALUES('Contact Us', '<p>You can add any content you like here, via the siteadmin</p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>', 2, 2);

-- --------------------------------------------------------

--
-- Table structure for table `web_profiles`
--

CREATE TABLE IF NOT EXISTS `web_profiles` (
  `user_name` varchar(100) NOT NULL,
  `site_name` varchar(50) default NULL,
  `site_url` varchar(256) default NULL,
  `indexer` int(11) NOT NULL auto_increment,
  `full_name` varchar(100) default NULL,
  `location` varchar(50) default NULL,
  PRIMARY KEY  (`indexer`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

--
-- Dumping data for table `web_profiles`
--